<?php

namespace App;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;

class User extends Authenticatable
{
    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'first_name',
        'last_name',
        'name',
        'nationality',
        'dob',
        'gender',
        'email',
        'password',
        'phone_number',
        'university_name',
        'department',
        'designation',
        'uni_website',
        'user_type',
        'ref_no',
        'others_department',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];
    public function country_name()
    {
        return $this->belongsTo(Country::class, 'nationality', 'id');
    } 

    public function department_name()
    {
        return $this->belongsTo('App\Models\Department', 'department');
    } 

    
     
}
