<!DOCTYPE html>
    <html lang="en">
        <head>
            <meta charset="utf-8" />
            <title>Research Admission</title>
            <meta name="viewport" content="width=device-width, initial-scale=1.0">
            <meta name="description" content="Information & Guidance on the PhD Process, Connect with Supervisor and Many" />
            <meta name="keywords" content="" />

            <!-- facebook tags -->
            <meta property="og:url" content="http://www.facebook.com/researchadmission"/>
            <meta property="og:type" content="website"/>
            <meta property="og:title" content="Research Admission"/>
            <meta property="og:description" content="Information & Guidance on the PhD Process, Connect with Supervisor and Many"/>
            <!-- Linkedin tags -->
            <meta property="og:url" content="https://www.linkedin.com/company/researchadmission"/>
            <meta property="og:type" content="website"/>
            <meta property="og:title" content="Research Admission"/>
            <meta property="og:description" content="Information & Guidance on the PhD Process, Connect with Supervisor and Many"/>

            <!-- favicon -->
            <link rel="shortcut icon" href="{{asset('web/images/logo.png') }}">
            <!-- Bootstrap -->
            <link href="{{ asset('web/css/bootstrap.min.css') }}" rel="stylesheet" type="text/css" />
            <!-- tobii css -->
            <link href="{{asset('web/css/tobii.min.css')}}" rel="stylesheet" type="text/css" />
            <!-- Icons -->
            <link href="{{asset('web/css/materialdesignicons.min.css')}}" rel="stylesheet" type="text/css" />
            <link rel="stylesheet" type="text/css" href="{{ asset('web/stylesheets/font-awesome.min.css') }}" />
            <link rel="stylesheet" href="https://unicons.iconscout.com/release/v3.0.6/css/line.css">
            <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/css/all.min.css">

            <!-- Slider -->
            <link rel="stylesheet" href="{{asset('web/css/tiny-slider.css')}}"/>
            <!-- Main Css -->
            <link href="{{asset('web/css/style.css')}}" rel="stylesheet" type="text/css" id="theme-opt" />
            <link href="{{asset('web/css/colors/default.css')}}" rel="stylesheet" id="color-opt">
            <link rel="preconnect" href="https://fonts.googleapis.com">
            <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
            <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;900&display=swap" rel="stylesheet">

            <link rel="preconnect" href="https://fonts.googleapis.com">
            <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
            <link href="https://fonts.googleapis.com/css2?family=Ubuntu:wght@700&display=swap" rel="stylesheet">
            <link rel="preconnect" href="https://fonts.googleapis.com">
            <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
            <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@200;300&display=swap" rel="stylesheet">
            <link rel="preconnect" href="https://fonts.googleapis.com">
            <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
            <link href="https://fonts.googleapis.com/css2?family=Montserrat+Alternates&display=swap" rel="stylesheet">
            <link rel="stylesheet" href="{{ asset('css/pnotify/pnotify.min.css') }}">
            <link href="{{ asset('css/noty/lib/noty.css') }}" rel="stylesheet" type="text/css">
       </head>
       <style>

            body {
                font-family: 'Oswald', sans-serif;
                font-family: 'Quicksand', sans-serif;
            }
            h1, h2, h3, h4, h6 {
                font-family:Ubuntu !important;
            }
            h5{
                font-family: 'Montserrat Alternates', sans-serif !important;
            }
            .bg-half-170 {
            padding:0px;
            }
            .tmail{
                color: #a7a7a7; 
                text-align: center; 
                margin: 0px;
            }
            .btn1{
    background-color: #141639c4 !important; 
    color:white !important; 
    border-radius: 20px; 
    box-shadow:none !important;
}
.btn1:hover{
    background: #ffff !important;
    color: #141639c4 !important;
    border-radius: 20px;
    border: 1px solid #141639c4;
}
       </style>
        <section>
            <div class="container mt-5 mb-5">
                <div class="col-md-12">
                    <div class="row">
                        <div class="col-md-1"></div>
                        <div class="col-md-9 ms-3">
                            <div class="card rounded border-0 shadow p-5" style="background-color:white;">
                                <h3 style="text-align: center; font-family:Ubuntu !important; color: #3c4858 !important; font-size: 30px !important;">Research Admission</h3>
                                <p class="mt-5">Dear Applicant,</p>
                                    <p class="mt-3">We are writing to inform you that your account has been successfully activated on our platform. We are excited to have you on board with us.</p>
                                    <p class="mt-2">To ensure that your account is configured properly, we have reviewed the necessary information and have completed the activation process. You now have full access to all the features that we have built to support you.</p>
                                    <div class="col-md-12">
                                        <div class="mb-2 text-center">
                                            <a href="{{ url('login-v2') }}">
                                                <button type="submit" class="btn btn1" style="padding: 3px 18px;">
                                                    {{ __('Login to your account') }}
                                                </button>
                                            </a>  
                                        </div>
                                    </div>
                                    <p class="mt-4">We understand that you may have questions or concerns as you explore our platform. Please do not hesitate to reach out to us at support@researchadmission.com. Our team is here to assist you in any way possible.</p>
                                    <p class="mt-2">Thank you for choosing Research Admission, and we look forward to supporting your research endeavors.</p>
                                    <p class="mt-2" style="margin: 0px;">Best regards,</p>
                                    <h6 class="mb-3">Research Admission Team</h6>
                                    <div style="border-top: 1px solid #eee;">
                                        <p class="mt-3 tmail" style="font-style: italic;">This email was sent to example@gmail.com</p>
                                        <p class="mt-3 tmail" style="font-size: 12px;">Copyright © 2023 Research Admission</p>
                                    </div>
                            </div>
                        </div>
                    </div><!--end row-->
                </div>
            </div> <!--end container-->
        </section><!--end section-->
        <!-- Hero End -->

        <!-- javascript -->
        <script src="{{asset('web/js/bootstrap.bundle.min.js')}}"></script>
        <!-- tobii js -->
        <script src="{{asset('web/js/tobii.min.js')}}"></script>
        <!-- SLIDER -->
        <script src="{{asset('web/js/tiny-slider.js')}}"></script>
        <!-- Icons -->
        <script src="{{asset('web/js/feather.min.js')}}"></script>
        <!-- Main Js -->
        <script src="{{asset('web/js/plugins.init.js')}}"></script>
        <script src="{{asset('web/js/app.js')}}"></script>
        <script src="{{ asset('css/pnotify/pnotify.js') }}"></script>
        <script src="{{ asset('css/noty/lib/noty.min.js') }}"></script>
        </body>
  </html>
